#include "types.h"

#pragma once

namespace tuxli {

// Peripheral defines the interface for a memory mapped peripheral.
class Peripheral {
 public:
  virtual ~Peripheral() = default;

  virtual reg_t write(addr_t offset, reg_t value) = 0;
  virtual reg_t read(addr_t offset) = 0;
};

}  // namespace tuxli
